- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
StarObjectSmallGraphicInternal::SdrGraphicPage Class Reference

Internal: virtual class to store a Sdr graphic page. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SdrGraphicPage:

## Public Member Functions
| SdrGraphicPage ()
| constructor More...
virtual std::string | print () const
| basic print function More...
bool | send (STOFFListenerPtr, StarObject &)
| try to send the graphic to the listener More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphic
| SdrGraphic (int id)
| constructor More...
std::string | getName () const
| return the object name More...
void | updateStyle (STOFFGraphicStyle &style, StarObject &, STOFFListenerPtr) const
| try to update the style More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor More...
virtual | ~Graphic ()
| destructor More...

## Public Attributes
int | m_page
| the page More...
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphic
STOFFBox2i | m_bdbox
| the bdbox More...
int | m_layerId
| the layer id More...
STOFFVec2i | m_anchorPosition
| the anchor position More...
std::vector< GluePoint > | m_polygon
| a polygon More...
bool | m_flags [6]
| a list of flag More...
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type More...

## Friends
std::ostream & | operator<< (std::ostream &o, SdrGraphicPage const &graph)
| print object data More...

## Detailed Description

Internal: virtual class to store a Sdr graphic page.

## Constructor & Destructor Documentation

StarObjectSmallGraphicInternal::SdrGraphicPage::SdrGraphicPage | ( |  | ) |
| inline

constructor

## Member Function Documentation

virtual std::string StarObjectSmallGraphicInternal::SdrGraphicPage::print | ( |  | ) | const
| inline virtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::SdrGraphic.

bool StarObjectSmallGraphicInternal::SdrGraphicPage::send | ( | STOFFListenerPtr | ,
|  | StarObject & |
| ) |  |
| inline virtual

try to send the graphic to the listener

Reimplemented from StarObjectSmallGraphicInternal::Graphic.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | SdrGraphicPage const & | graph
| ) |  |
| friend

print object data

## Member Data Documentation

int StarObjectSmallGraphicInternal::SdrGraphicPage::m_page

the page

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx